

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Organizational Viewpoint &mdash; GAIA-X Architecture 0.1 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script type="text/javascript" src="_static/jquery.js"></script>
        <script type="text/javascript" src="_static/underscore.js"></script>
        <script type="text/javascript" src="_static/doctools.js"></script>
        <script type="text/javascript" src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Information Security and Data Protection Viewpoint" href="security-viewpoint.html" />
    <link rel="prev" title="Concept Definitions" href="concepts.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="toc.html" class="icon icon-home"> GAIA-X Architecture
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="index.html">Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="use-cases.html">Motivating Use Cases</a></li>
<li class="toctree-l1"><a class="reference internal" href="requirements.html">Requirements</a></li>
<li class="toctree-l1"><a class="reference internal" href="overview.html">Architecture Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="concepts.html">Concept Definitions</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Organizational Viewpoint</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#objects-assets-and-identifiers">Objects, Assets and Identifiers</a></li>
<li class="toctree-l2"><a class="reference internal" href="#federation-across-domains">Federation across Domains</a></li>
<li class="toctree-l2"><a class="reference internal" href="#participants-and-legal-contexts-and-service-contexts">Participants and Legal Contexts and Service Contexts</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="security-viewpoint.html">Information Security and Data Protection Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="platform-viewpoint.html">Platform Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="service-viewpoint.html">Service Viewpoint</a></li>
<li class="toctree-l1"><a class="reference internal" href="specification.html">Technical Specification</a></li>
<li class="toctree-l1"><a class="reference internal" href="certification.html">Certification and Accreditation</a></li>
<li class="toctree-l1"><a class="reference internal" href="appendix.html">Appendix</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="toc.html">GAIA-X Architecture</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="toc.html">Docs</a> &raquo;</li>
        
      <li>Organizational Viewpoint</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/organization-viewpoint.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="organizational-viewpoint">
<span id="viewpoint-organization"></span><h1>Organizational Viewpoint<a class="headerlink" href="#organizational-viewpoint" title="Permalink to this headline">¶</a></h1>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><strong>Chapter Rationale</strong></p>
<p>This chapter describes the interrelations between the stakeholder
organizations.</p>
<ul class="simple">
<li><p>Are there broad categories for stakeholders?</p></li>
<li><p>What are the domains of influence for the organizations?</p></li>
<li><p>Where is collaborative decision making necessary and how is it regulated?</p></li>
<li><p>What are the contractual relations between the organizations?</p></li>
</ul>
</div>
<div class="section" id="objects-assets-and-identifiers">
<h2>Objects, Assets and Identifiers<a class="headerlink" href="#objects-assets-and-identifiers" title="Permalink to this headline">¶</a></h2>
<p>GAIA-X <a class="reference internal" href="concepts.html#concept-object"><span class="std std-ref">Objects</span></a> are either <em>Physical Things</em>, <em>Virtual
Artifacts</em>, <a class="reference internal" href="concepts.html#concept-asset"><span class="std std-ref">Assets</span></a> or <em>Legal Entities</em>. Objects are
referred to with an Identifier.</p>
<p>An Object can have more than one Identifier. But this should be avoided to allow
unique identification. Virtual representations of the object shall have exactly
one leading identifier.</p>
<p><a class="reference internal" href="concepts.html#concept-asset"><span class="std std-ref">Assets</span></a> have at least one Identifier.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>Allowing more than one identifier is a necessity. For example, it cannot be
prevented that several Identifiers are assigned independently to the same
Physical Thing.</p>
</div>
<p>Identifiers are used together with authentication credentials for access
management.</p>
<p>Identifiers are generally issued within a <em>Domain</em>. Identifiers shall be unique
within a Domain. The Identifiers themselves refer to the issuing domain. If
there is no issuing domain, then uniqueness cannot be assured.</p>
</div>
<div class="section" id="federation-across-domains">
<h2>Federation across Domains<a class="headerlink" href="#federation-across-domains" title="Permalink to this headline">¶</a></h2>
<p>GAIA-X is a federated system. The federation approach is both technical and
organizational.</p>
<p>GAIA-X is structured into organizational Domains that are interconnected.</p>
<p>The domains are autonomous and can in principle be run independently.</p>
<p>A <em>Domain Controller</em> manages the Identifiers for its Domain. It can also issue
certificates to prove the provenance of the Identifier and authentication
credentials.</p>
<p>The Domain Controller provides Services to verify Identifiers and authentication
credentials.</p>
<p>Multiple Domains can exist in parallel. Some Domain Controllers can be
interconnected to validate and authenticate foreign Identifiers by adjacent
domains as a proxy.</p>
</div>
<div class="section" id="participants-and-legal-contexts-and-service-contexts">
<h2>Participants and Legal Contexts and Service Contexts<a class="headerlink" href="#participants-and-legal-contexts-and-service-contexts" title="Permalink to this headline">¶</a></h2>
<p>Any two Legal Entities are in a <em>Legal Context</em> for the two. The Legal Context
can be stipulated by a contract. Otherwise the default context applies. (E.g. as
mandated by their current legal jurisdiction or some framework agreement that
governs their relationship.)</p>
<p>Physical Things and Virtual Artifacts cannot participate in a Legal Context. But
Physical Things and Virtual Artifacts can be the object of a Legal Context
between Legal Entities.</p>
<p>A GAIA-X Participant is a Legal Entity that provides or consumes <a class="reference internal" href="concepts.html#concept-service"><span class="std std-ref">Services</span></a> or <a class="reference internal" href="concepts.html#concept-node"><span class="std std-ref">Nodes</span></a> in GAIA-X.</p>
<p>A Participant is the supervisor of Technical Artifacts (software or hardware)
with appropriate interfaces to communicate within GAIA-X. The Identifier of
these Technical Artifacts is uniquely related to the Identifier of their
supervisor within their Domain.</p>
<p>All use of Services is made inside a <em>Service Context</em>.</p>
<p>Service Contexts are created between two Participants: a Service Consumer and a
Service Provider. The Service Context is established as part of the Legal
Context that existed previously between the two.</p>
<p>The creation of the Service Context can have minimal overhead for non-critical
services. But in any case, the Identifier of the Participants that have entered
the Service Context must be known to both sides.</p>
<p>The following diagrams show the legal and service contexts that exist between
Participants.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p>The following figures are WIP and not yet agreed.</p>
</div>
<div class="figure align-default" id="id1" style="width: 60%">
<img alt="_images/usage-contexts.png" src="_images/usage-contexts.png" />
<p class="caption"><span class="caption-text">Contractual and technical contexts between the <a class="reference internal" href="concepts.html#concept-provider"><span class="std std-ref">Service Provider</span></a> and
the <a class="reference internal" href="concepts.html#concept-consumer"><span class="std std-ref">Service Consumer</span></a>.</span><a class="headerlink" href="#id1" title="Permalink to this image">¶</a></p>
</div>
<div class="figure align-default" id="id2" style="width: 60%">
<img alt="_images/deployment-contexts.png" src="_images/deployment-contexts.png" />
<p class="caption"><span class="caption-text">Contractual and technical contexts between the <a class="reference internal" href="concepts.html#concept-node-provider"><span class="std std-ref">Node Provider</span></a> and
the <a class="reference internal" href="concepts.html#concept-provider"><span class="std std-ref">Service Provider</span></a>.</span><a class="headerlink" href="#id2" title="Permalink to this image">¶</a></p>
</div>
</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="security-viewpoint.html" class="btn btn-neutral float-right" title="Information Security and Data Protection Viewpoint" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="concepts.html" class="btn btn-neutral float-left" title="Concept Definitions" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>